# ERC-20 Compliance and Updates

#### ERC-20 Compliance and Updates

All standard [EIP-20](https://eips.ethereum.org/EIPS/eip-20) methods are implemented for KIBT, such as `balanceOf`, `transfer`, `transferFrom`, `approve`, `totalSupply` .

However, the underlying logic of some of those methods differs from EIP20 standards to fit an interest bearing token behavior :

* `balanceOf` will always return the most up to date balance of the user, which includes their principal balance (`baseBalance`) + the yield generated by the principal balance up to the last epoch timestamp.
* `totalSupply` will always return the most up to date total supply of KIBTokens, which includes the principal supply + the yield generated by the principal balance up to the last epoch timestamp.<br>

Transfers behave mostly like the standard [EIP-20](https://eips.ethereum.org/EIPS/eip-20) method with the exception of the available balance check and the `cumulativeYield` refresh.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kuma.bond/kuma-protocol/developers/smart-contract-architecture/kuma-interest-bearing-token-kibt/erc-20-compliance-and-updates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
